package ch.iet_gibb.heatcalculatorfx.view;

import ch.iet_gibb.heatcalculatorfx.application.HeatCalculatorController;
import ch.iet_gibb.heatcalculatorfx.model.Property;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.scene.text.Text;
import javafx.stage.Stage;

import java.util.ArrayList;

public class HeatstorageView_2 implements ViewInterface {
    protected Stage stage;
    protected HeatCalculatorController controller;

    public HeatstorageView_2(Stage stage, HeatCalculatorController controller) {
        this.stage = stage;
        this.controller = controller;
    }

    @Override
    public void startView() {
        VBox layout = new VBox();
        layout.setPadding(new Insets(15, 15, 15, 15));
        layout.setSpacing(20);

        Text labelText = new Text();
        labelText.setText("Heatstorage");
        labelText.setFont(Font.font("Tahoma", FontWeight.EXTRA_BOLD, 20));
        labelText.setStyle("-fx-font-family: monospace;-fx-fill: linear-gradient(from 0% 0% to 100% 200%, repeat, aqua 0%, red 50%);");
        layout.getChildren().add(labelText);

        ArrayList<Property> heatStorageProperties = controller.getHeatstorage();

        for (Property heatStorageProperty : heatStorageProperties) {
            HBox hBox = new HBox();
            hBox.setSpacing(20);
            hBox.setPadding(new Insets(1, 15, 1, 15));
            Label heatStorageLabel = new Label(heatStorageProperty.getName());
            TextField heatStorageText = new TextField(heatStorageProperty.getValue());
            hBox.getChildren().addAll(heatStorageLabel, heatStorageText);
            layout.getChildren().add(hBox);
        }

        Button btnNext;
        btnNext = new Button("→");
        btnNext.setOnAction(controller);
        layout.getChildren().add(btnNext);

        Scene scene = new Scene(layout, 600, 600);
        stage.setScene(scene);
        stage.show();
    }
}
